import { EventEmitter } from '../../../stencil-public-runtime';
import { SparkleQuizQuestion, SparkleQuizQuestionOption } from '../../../models/quiz.model';
export declare class SparkleQuiz {
  el: HTMLElement;
  questionId: number;
  type: 'MULTIPLE-CHOICE' | 'TEXT' | 'FEEDBACK' | 'OPINION' | 'POLL';
  scale: 'FIVE-POINTS' | 'TEN-POINTS';
  questionText: string;
  showOptionNumber: boolean;
  submitted: boolean;
  correct: boolean;
  feedback: string;
  showInstantResult: boolean;
  options: SparkleQuizQuestionOption[];
  quizAnswerChanged: EventEmitter<{
    answer: any;
    question: SparkleQuizQuestion;
  }>;
  private containerRef;
  componentWillLoad(): Promise<void>;
  componentDidLoad(): Promise<void>;
  quizInputChangeHandler(event: CustomEvent<{
    value: string;
    question: SparkleQuizQuestion;
  }>): void;
  quizFeedbackChangeHandler(event: CustomEvent<{
    value: string;
    question: SparkleQuizQuestion;
  }>): void;
  quizSelectChangeHandler(event: CustomEvent<{
    value: string;
    question: SparkleQuizQuestion;
  }>): void;
  quizOpinionChangeHandler(event: CustomEvent<{
    value: string;
    question: SparkleQuizQuestion;
  }>): void;
  private getQuestionFeedback;
  private showAnswerStatus;
  private renderQuestion;
  render(): any;
}
